Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLClassImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLClassImpl

All Implemented Interfaces:
  Argument, AtomArgument, BuiltInArgument, ClassArgument, ClassDescriptionArgument, OWLClass, OWLDescription, OWLObject, ClassValue, ResultValue, Comparable

    public class OWLClassImpl

extends BuiltInArgumentImpl
implements OWLClass

Class representing an OWL named class

Constructor Summary
`OWLClassImpl(OWLModel owlModel)`
`OWLClassImpl(OWLModel owlModel, String className)`
`OWLClassImpl(String className)`
`OWLClassImpl(String className, String superclassName)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object obj)`
`String` | `getClassName()`
`Set<String>` | `getDirectSubClassNames()`
`Set<String>` | `getDirectSuperClassNames()`
`Set<String>` | `getEquivalentClassNames()`
`Set<String>` | `getEquivalentClassSuperclassNames()`
`String` | `getPrefixedClassName()`
`String` | `getRepresentation()`
`Set<String>` | `getSuperclassNames()`
`int` | `hashCode()`
`boolean` | `isNamedClass()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Constructor Detail

### OWLClassImpl

    public OWLClassImpl(OWLModel owlModel)
                 throws OWLFactoryException

Throws:
  `OWLFactoryException`

### OWLClassImpl

    public OWLClassImpl(OWLModel owlModel,
                        String className)
                 throws OWLFactoryException

Throws:
  `OWLFactoryException`

### OWLClassImpl

    public OWLClassImpl(String className)

### OWLClassImpl

    public OWLClassImpl(String className,
                        String superclassName)

Method Detail

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `ClassArgument`
  Specified by:
    `getClassName` in interface `OWLClass`
  Specified by:
    `getClassName` in interface `ClassValue`

### getPrefixedClassName

    public String getPrefixedClassName()

  Specified by:
    `getPrefixedClassName` in interface `OWLClass`
  Specified by:
    `getPrefixedClassName` in interface `ClassValue`

### getSuperclassNames

    public Set<String> getSuperclassNames()

  Specified by:
    `getSuperclassNames` in interface `OWLClass`

### getDirectSuperClassNames

    public Set<String> getDirectSuperClassNames()

  Specified by:
    `getDirectSuperClassNames` in interface `OWLClass`

### getDirectSubClassNames

    public Set<String> getDirectSubClassNames()

  Specified by:
    `getDirectSubClassNames` in interface `OWLClass`

### getEquivalentClassNames

    public Set<String> getEquivalentClassNames()

  Specified by:
    `getEquivalentClassNames` in interface `OWLClass`

### getEquivalentClassSuperclassNames

    public Set<String> getEquivalentClassSuperclassNames()

  Specified by:
    `getEquivalentClassSuperclassNames` in interface `OWLClass`

### isNamedClass

    public boolean isNamedClass()

  Specified by:
    `isNamedClass` in interface `ClassDescriptionArgument`

### getRepresentation

    public String getRepresentation()

  Specified by:
    `getRepresentation` in interface `ClassDescriptionArgument`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `BuiltInArgumentImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BuiltInArgumentImpl`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.